aboutsummaryrefslogtreecommitdiffstats
path: root/text_cmds/xcodescripts/install-opensource.sh
diff options
context:
space:
mode:
Diffstat (limited to 'text_cmds/xcodescripts/install-opensource.sh')
-rw-r--r--text_cmds/xcodescripts/install-opensource.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/text_cmds/xcodescripts/install-opensource.sh b/text_cmds/xcodescripts/install-opensource.sh
new file mode 100644
index 0000000..f8f80a1
--- /dev/null
+++ b/text_cmds/xcodescripts/install-opensource.sh
@@ -0,0 +1,9 @@
+set -e -x
+
+OSV="$DSTROOT"/usr/local/OpenSourceVersions
+OSL="$DSTROOT"/usr/local/OpenSourceLicenses
+
+install -d -o root -g wheel -m 0755 "$OSV"
+install -c -o root -g wheel -m 0644 \
+ "$SRCROOT"/text_cmds.plist \
+ "$OSV"